org.apache.sysds.runtime.compress.workload

## Class OpNormal

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.Op
  - - org.apache.sysds.runtime.compress.workload.OpNormal

    public class OpNormal
    extends Op

### Constructor Summary

Constructors
Constructor and Description
`OpNormal(Hop op, boolean compressedOut)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCompressedOutput()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.Op

`getHop, isDecompressing, isDensifying, isOverlapping, setDecompressing, setDensifying, setOverlapping, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpNormal

    public OpNormal(Hop op,
                    boolean compressedOut)

### Method Detail

#### isCompressedOutput

    public boolean isCompressedOutput()

Overrides:
  `isCompressedOutput` in class `Op`